File acsc_drop-extras-require.patch of Package python-azure-cognitiveservices-search-customimagesearch

diff -Nru azure-cognitiveservices-search-customimagesearch-0.1.0.orig/setup.py azure-cognitiveservices-search-customimagesearch-0.1.0/setup.py
--- azure-cognitiveservices-search-customimagesearch-0.1.0.orig/setup.py	2019-04-10 17:09:27.307804226 +0200
+++ azure-cognitiveservices-search-customimagesearch-0.1.0/setup.py	2019-04-10 17:10:02.880137570 +0200
@@ -81,7 +81,4 @@
         'msrest>=0.5.0',
         'azure-common>=1.1',
     ],
-    extras_require={
-        ":python_version<'3.0'": ['azure-cognitiveservices-search-nspkg'],
-    }
 )
diff -Nru azure-cognitiveservices-search-customimagesearch-0.1.0.orig/setup.py~ azure-cognitiveservices-search-customimagesearch-0.1.0/setup.py~
--- azure-cognitiveservices-search-customimagesearch-0.1.0.orig/setup.py~	1970-01-01 01:00:00.000000000 +0100
+++ azure-cognitiveservices-search-customimagesearch-0.1.0/setup.py~	2019-04-10 17:09:51.032026539 +0200
@@ -0,0 +1,87 @@
+#!/usr/bin/env python
+
+#-------------------------------------------------------------------------
+# Copyright (c) Microsoft Corporation. All rights reserved.
+# Licensed under the MIT License. See License.txt in the project root for
+# license information.
+#--------------------------------------------------------------------------
+
+import re
+import os.path
+from io import open
+from setuptools import find_packages, setup
+
+# Change the PACKAGE_NAME only to change folder and different name
+PACKAGE_NAME = "azure-cognitiveservices-search-customimagesearch"
+PACKAGE_PPRINT_NAME = "Cognitive Services Custom Image Search"
+
+# a-b-c => a/b/c
+package_folder_path = PACKAGE_NAME.replace('-', '/')
+# a-b-c => a.b.c
+namespace_name = PACKAGE_NAME.replace('-', '.')
+
+# azure v0.x is not compatible with this package
+# azure v0.x used to have a __version__ attribute (newer versions don't)
+try:
+    import azure
+    try:
+        ver = azure.__version__
+        raise Exception(
+            'This package is incompatible with azure=={}. '.format(ver) +
+            'Uninstall it with "pip uninstall azure".'
+        )
+    except AttributeError:
+        pass
+except ImportError:
+    pass
+
+# Version extraction inspired from 'requests'
+with open(os.path.join(package_folder_path, 'version.py'), 'r') as fd:
+    version = re.search(r'^VERSION\s*=\s*[\'"]([^\'"]*)[\'"]',
+                        fd.read(), re.MULTILINE).group(1)
+
+if not version:
+    raise RuntimeError('Cannot find version information')
+
+with open('README.rst', encoding='utf-8') as f:
+    readme = f.read()
+with open('HISTORY.rst', encoding='utf-8') as f:
+    history = f.read()
+
+setup(
+    name=PACKAGE_NAME,
+    version=version,
+    description='Microsoft Azure {} Client Library for Python'.format(PACKAGE_PPRINT_NAME),
+    long_description=readme + '\n\n' + history,
+    license='MIT License',
+    author='Microsoft Corporation',
+    author_email='azpysdkhelp@microsoft.com',
+    url='https://github.com/Azure/azure-sdk-for-python',
+    classifiers=[
+        'Development Status :: 4 - Beta',
+        'Programming Language :: Python',
+        'Programming Language :: Python :: 2',
+        'Programming Language :: Python :: 2.7',
+        'Programming Language :: Python :: 3',
+        'Programming Language :: Python :: 3.4',
+        'Programming Language :: Python :: 3.5',
+        'Programming Language :: Python :: 3.6',
+        'Programming Language :: Python :: 3.7',
+        'License :: OSI Approved :: MIT License',
+    ],
+    zip_safe=False,
+    packages=find_packages(exclude=[
+        'tests',
+        # Exclude packages that will be covered by PEP420 or nspkg
+        'azure',
+        'azure.cognitiveservices',
+        'azure.cognitiveservices.search',
+    ]),
+    install_requires=[
+        'msrest>=0.5.0',
+        'azure-common>=1.1',
+    ],
+    extras_require={
+        ":python_version<'3.0'": ['azure-cognitiveservices-search-nspkg'],
+    }
+)